import { select } from 'd3';

// Set up the SVG element
const svg = d3.select("#worldmap");

// Define the map projection (you can choose different projections based on your needs)
const projection = d3.geoNaturalEarth1()
    .scale(160) // Adjust the scale as needed
    .translate([400, 300]); // Center the map in the SVG element

// Define a path generator using the projection
const path = d3.geoPath().projection(projection);

// Load the GeoJSON data representing the world map
d3.json("world.geojson").then(function(data) {
    // Render the world map using path generator
    svg.selectAll("path")
        .data(data.features)
        .enter()
        .append("path")
        .attr("d", path)
        .attr("stroke", "#fff") // Border color
        .attr("stroke-width", 0.5) // Border width
        .attr("fill", "lightgray"); // Fill color (can be customized)

    // Add any additional data or interactions here, if needed
}).catch(function(error) {
    console.error("Error loading GeoJSON data:", error);
});
